Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.generator
Class IButtonData

    java.lang.Object
      |
      +--context.arch.generator.IButtonData

public class IButtonData
extends java.lang.Object

This class is a container for IButton data. This includes the IButton id, the location of the IButton and the timestamp when the IButton was docked.

Constructor Summary
`IButtonData(java.lang.String location, java.lang.String id, java.lang.String timestamp)` Basic constructor

Method Summary
`java.lang.String` | `getId()` Returns the id of the IButton
`java.lang.String` | `getLocation()` Returns the location of the IButton
`java.lang.String` | `getTimestamp()` Returns the timestamp of the IButton docking
`void` | `setId(java.lang.String id)` Sets the id of the IButton
`void` | `setLocation(java.lang.String location)` Sets the location of the IButton
`void` | `setTimestamp(java.lang.String timestamp)` Sets the timestamp of the IButton docking

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IButtonData

    public IButtonData(java.lang.String location,
                       java.lang.String id,
                       java.lang.String timestamp)

  Basic constructor
  Parameters:
    `location` - Location of the IButton
    `id` - Id of the IButton
    `timestamp` - Timestamp when the IButton was docked

Method Detail

### getLocation

    public java.lang.String getLocation()

  Returns the location of the IButton
  Returns:
    the location of the IButton

### getId

    public java.lang.String getId()

  Returns the id of the IButton
  Returns:
    the id of the IButton

### getTimestamp

    public java.lang.String getTimestamp()

  Returns the timestamp of the IButton docking
  Returns:
    the timestamp of the IButton docking

### setLocation

    public void setLocation(java.lang.String location)

  Sets the location of the IButton
  Parameters:
    `location` - the location of the IButton

### setId

    public void setId(java.lang.String id)

  Sets the id of the IButton
  Parameters:
    `id` - the id of the IButton

### setTimestamp

    public void setTimestamp(java.lang.String timestamp)

  Sets the timestamp of the IButton docking
  Parameters:
    `timestamp` - the timestamp of the IButton docking

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD